qt3d-opensource-src (5.15.17+dfsg-2+rpi1) forky-staging; urgency=medium

  [changes brought forward from 5.15.1+dfsg-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 12 Nov 2020 12:19:45 +0000]
  * Update symbols file for raspbian.
  * Disable testsuite.
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 03 Feb 2026 21:52:42 +0000

qt3d-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:59:29 +0300

qt3d-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 22:40:27 +0300

qt3d-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Remove "+extension EGL" from xvfb-run call to fix build on armhf.
  * Stop ignoring the tests result on s390x.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Oct 2024 17:12:01 +0300

qt3d-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:36:44 +0300

qt3d-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2024 12:12:19 +0300

qt3d-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:43:48 +0300

qt3d-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Mar 2024 17:57:25 +0300

qt3d-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 00:58:06 +0300

qt3d-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:03:51 +0300

qt3d-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 23:46:07 +0300

qt3d-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 00:06:37 +0300

qt3d-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:14 +0400

qt3d-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Exclude assimp from the tarball, to reduce size and simplify copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Jan 2023 01:43:03 +0400

qt3d-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:02 +0300

qt3d-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:52:21 +0300

qt3d-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:47 +0300

qt3d-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 14:02:58 +0300

qt3d-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 12:04:00 +0300

qt3d-opensource-src (5.15.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:10 +0300

qt3d-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 12:57:34 +0300

qt3d-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Add one new symbol to debian/libqt53drender5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 09 Mar 2022 16:46:35 +0300

qt3d-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:28 +0300

qt3d-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt53drender5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/copyright.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 23 Nov 2020 20:06:25 +0300

qt3d-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Add a patch to disable tst_qtext2dentity::checkChangeArbiter() test on
    all OpenGL ES 2 environments, not just ANGLE (closes: #973440).
  * Add a patch to link the openglrenderer plugin with -latomic on riscv64.
  * Update debian/libqt53drender5.symbols for ppc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Oct 2020 21:03:47 +0300

qt3d-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:52:53 +0300

qt3d-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  [ Alexander Volkov ]
  * Stop installing cmake files for the plugins.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update debian/copyright.
  * Remove qt3dwindow_constructor.diff, included in the new release.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Stop checking for nocheck option in test target, no longer needed.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update install files.
    - Install the OpenGL renderer plugin in libqt53drender5 package.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 16 Sep 2020 13:40:51 +0300

qt3d-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 12:16:18 +0300

qt3d-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Pass --fail-missing to dh_missing, not to all debhelper commands.
  * Call dh_link in the override, to make debian/qt3d5-doc-html.links working.
  * Make debian/qt3d5-dev.install explicitly list all headers.
  * Use debian/not-installed instead of removal commands in debian/rules.
  * Install headers for Qt 3D Animation and Extras modules (closes: #909306).
  * Add api argument to Qt3DWindow constructor, to make its signature match
    Qt 5.15 branch and to avoid breaking ABI in the future.
  * Update symbols files for the new version. Private symbols are now properly
    marked as such because QTBUG-74752 was fixed.
  * Mark two QChangeArbiter symbols as optional for GCC 10 (closes: #957728).
  * Drop unused ${shlibs:Depends} variable from qt3d5-dev package depends.
  * Update to debhelper compat level 12, use the new syntax.
  * Add Build-Depends-Package field to the symbols files.
  * Remove build paths from .prl files for reproducibility.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Apr 2020 17:20:20 +0300

qt3d-opensource-src (5.12.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Remove some no longer present directories from Files-Excluded.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 12:36:53 +0300

qt3d-opensource-src (5.12.4+dfsg-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop nonfree_resources.diff, no longer needed.
  * Bump Qt build-dependencies to 5.12.4.
  * Make tests fatal on most architectures.
  * Honor nocheck build option/profile.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Jun 2019 17:04:53 +0300

qt3d-opensource-src (5.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Remove obsolete code to fix wrong path in pkgconfig files.
  * Update Homepage URL.
  * Update debian/libqt53drender5.symbols for x32 (closes: #922785).
  * Update symbols files from the current build logs.
  * Minor debian/copyright updates.
  * Do not exclude a directory (pattern_09) that contains only a README.
  * Bump libassimp-dev build-dependency to 4.1, to match bundled version.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Mar 2019 00:18:21 +0300

qt3d-opensource-src (5.11.3+dfsg-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 17:00:54 -0300

qt3d-opensource-src (5.11.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Dec 2018 16:09:18 -0300

qt3d-opensource-src (5.11.2+dfsg-2) unstable; urgency=medium

  * Update debian/copyright.
  * Drop unneeded explicit build-dependency on libqt5sql5-sqlite.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 19:53:34 +0300

qt3d-opensource-src (5.11.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.2, no changes needed.
  * Bump Qt build dependencies to 5.11.2.
  * Update copyright for new upstream files.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 23:45:50 -0500

qt3d-opensource-src (5.11.1+dfsg-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:30 -0500

qt3d-opensource-src (5.11.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs. We might need a new entry in
    pkgkde-symbolshelper's logic.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Jun 2018 13:56:21 -0300

qt3d-opensource-src (5.11.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Bump build dependencies to 5.11.1.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Update copyright for new upstream release.
  * Refresh patches for the new upstream release.
  * Remove reverse-applicable assimp_big_endian.diff.
  * Update symbols from amd64 build logs.
  * Update the copyright file for the new upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 25 Jun 2018 23:46:32 -0500

qt3d-opensource-src (5.10.1+dfsg-5) unstable; urgency=medium

  * Really remove *all* unstable API stuff (Closes: #895507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Apr 2018 16:15:58 -0300

qt3d-opensource-src (5.10.1+dfsg-4) unstable; urgency=medium

  * Do not ship CMake files for Qt53DQuickExtras and Qt53DExtras
    (Closes: #895386, #895507).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 12 Apr 2018 08:53:34 -0300

qt3d-opensource-src (5.10.1+dfsg-3) unstable; urgency=medium

  * Pass QT_BUILD_PARTS+=tests as a qmake parameter, not as a dh_auto_configure
    one.
  * Add Build-Profiles: <!nodoc> to doc packages.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:36:37 -0300

qt3d-opensource-src (5.10.1+dfsg-2) experimental; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Mar 2018 17:00:04 -0300

qt3d-opensource-src (5.10.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Add support for the nodoc build profile.
  * Fix debian/watch to check for the new upstream tarball name.
  * Switch to using plain dh_auto_configure instead of calling qmake.
    - Bump debhelper dependency to 10.9.2, required to do the change.
  * Remove no longer needed code from debian/rules.
  * Refresh nonfree_resources.diff.
    - Also avoid building phong-cubes.
  * Add libassimp-dev as a build dependency. The build needs it and can use
    the system library.
  * Do not ship unstable API headers: Extras and Animations. We keep the libs
    because other stable-API libs depends upon them.
  * Switch Vcs-[Git Browser] to salsa.debian.org.
  * Update symbols with current build log. As Extras and Animations are
    unstable, there are no reverse dependencies and we will not ship headers
    for them from now on I am just ignoring their missing symbols.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 02 Mar 2018 12:36:14 -0300

qt3d-opensource-src (5.9.2+dfsg-3) unstable; urgency=medium

  * Move qt3d-assimpsceneio-plugin Breaks/Replaces to the right package
    (closes: #879952).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Nov 2017 22:43:29 +0300

qt3d-opensource-src (5.9.2+dfsg-2) unstable; urgency=medium

  * Update for Qt binaries location change in qtbase 5.9.2+dfsg-3.
    - Install qgltf to the new location, provide a compatibility symlink.
    - Bump qtbase5-private-dev and qttools5-dev-tools build-dependencies.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:45:02 +0300

qt3d-opensource-src (5.9.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.2.
  * Split qgltf executable into a new package, qt3d5-dev-tools.
    Make that package Multi-Arch: foreign.
  * Update symbols files for the new release.
  * Update debhelper compatibility level to 10.
  * Bump Standards-Version to 4.1.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Oct 2017 10:36:07 +0300

qt3d-opensource-src (5.9.1+dfsg-3) unstable; urgency=medium

  * Add missing dependencies to qt3d5-dev package (closes: #874786).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 12 Sep 2017 15:04:41 +0300

qt3d-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 11:30:22 -0300

qt3d-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Add myself to Uploaders.
  * Add new upstream files to qt3d-gltfsceneio-plugin, making it contain
    all gltf-related files.
  * Qt 3D GL Assimp scene IO plugin was renamed upstream, adjust
    accordingly.
  * QTBUG-57543 was fixed, and we can ship the planets example now. Drop
    do_not_build_planets_example.patch.
  * Add the following packages from new upstream files:
    - qml-module-qtquick-scene2d
    - libqt53dquickscene2d5
    - libqt53danimation5
    - libqt53dquickanimation5
    - qt3d-defaultgeometryloader-plugin
    - qt3d-scene2d-plugin

  [ Dmitry Shachnev ]
  * Move qgltf executable to qt3d-gltfsceneio-plugin package.
  * Migrate to automatic dbgsym packages.
  * Update debian/copyright.
  * Update symbols files from the current amd64 build log.
  * Update the license for ConvertUTF code in debian/copyright according
    to upstream relicensing. Override the Lintian error about it.
  * Temporarily build with bundled Assimp. We cannot use the packaged
    Assimp because Qt 3D needs some changes which were added after v3.3.1.
  * Override false positive Lintian license-problem-json-evil error.
  * Bump Qt build-dependencies to 5.9.1.
  * Remove some non-free example assets from the tarball.
    - Disable code which was using them (nonfree_resources.diff).
  * Drop Build-Conflicts on qtmultimedia5-dev, not needed with this patch.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Backport a patch to fix Assimp build on big endian architectures
    (assimp_big_endian.diff).
  * Make qt3d5-examples depend on qml-module-qt3d (closes: #850470).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jul 2017 21:09:59 +0300

qt3d-opensource-src (5.7.1+dfsg-2) unstable; urgency=medium

  * Make qt3d5-dev Recommend qt3d5-doc[-html] (Closes: #849980).
    Thanks Ben Finney for the bug report.
  * Make libqt3d5-dev depend upon all the libraries shipped by the source
    package (Closes: #852524). Thanks Johannes Schauer for the bug report.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 25 Jan 2017 11:26:31 -0300

qt3d-opensource-src (5.7.1+dfsg-1) unstable; urgency=medium

  * Upstream final release.
    - Bump Qt build dependencies.
  * Add libgl1-mesa-dri as a test build dependency to avoid the message
    "libEGL warning: DRI2: failed to open swrast".
  * Add <!nocheck> to build dependencies used at test time.
    - Bump debhelper dependency to >= 9.20141010~ to allow build profiles to
      work.
  * Make tests non-fatal. We currently only have one failing on some archs,
    but it's a test issue as it doesn't fails if run alone (Closes: #847821).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 20 Dec 2016 16:05:01 -0300

qt3d-opensource-src (5.7.1~20161122+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Dec 2016 17:23:00 -0300

qt3d-opensource-src (5.7.1~20161122+dfsg-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Bump Standards-Version, no changes required.
  * Update packaging:
    - Libs with "Renderer" changed it's name to "Render". This changes
      SONAME but there are still no rdeps in the archive.
    - Documentation is now shipped under qt3d/.
    - libqt3d5collision5 is not shipped anymore.
    - Ship libqt3dquickinput5.
    - gltfsceneparser now has an auxiliary binary.
    - Regenerate symbols files for all libs. This makes handling both the
      SONAME change and the symbols's nodes changes easier. We still have no
      reverse dependencies to care for.
  * Use secure URLs for the repos.
  * Fix duplicated short description.
  * Update debian/copyright.
    - Do not ship examples/qt3d/planets-qml/images/*, they are clearly
      non-free.
  * Add extensions to xvfb-run needed by tests.
  * Run only one test at a time, this seems to make qaspectengine's
    setRootEntity work.
  * Rename qt3d-gltfsceneparser-plugin to qt3d-gltfsceneio-plugin and
    qt3d-assimpsceneparser-plugin to qt3d-assimpsceneio-plugin following
    upstream's changes.
  * Re do symbols files, this is the first API/ABI stable version that gets
    into Debian.
  * Do not build planets-qml example due to the lack of the required images,
    as we need to remove them from the tarball for being undistributable.

  [ Dmitry Shachnev ]
  * Exclude audio-visualizer-qml example from the tarball because it contains
    a non-free MP3 file (CC BY-ND 2.0).
    - Add qtmultimedia5-dev to Build-Conflicts to make sure that example is
      not built.
    - Tell uscan to repack the tarball.
  * Add some new symbols that appeared in 5.6.1.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 09 Dec 2016 23:40:38 -0300

qt3d-opensource-src (5.5.1-5) unstable; urgency=medium

  * Remove libqt5xcb5 from build dependencies. It is now part of libqt5gui5
    which is dragged in by qtbase5-dev (Closes: #817793).
  * Add qml-module-qtquick-scene3d as a qt3d5-examples' dependency, needed
    by qt3d's controls.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 10 Mar 2016 16:03:18 -0300

qt3d-opensource-src (5.5.1-4) unstable; urgency=medium

  * Add pkgconf as a build dependency. It is required to detect assimp files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 03 Nov 2015 12:24:38 -0300

qt3d-opensource-src (5.5.1-3) unstable; urgency=medium

  * Add libassimp-dev as a build dependency in order to enable assimp support
    (Closes: #803748). Thanks Александр Волков for the bug report.
    - Create the new package qt3d-assimpsceneparser-plugin for it.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 02 Nov 2015 15:06:38 -0300

qt3d-opensource-src (5.5.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Make sure to remove private headers from all the libraries: extend the
    rm pattern using globs.
  * Remove cmake config files of plugins (like done in other qt5 modules).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 Oct 2015 10:13:52 -0300

qt3d-opensource-src (5.5.1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt dependencies.
  * Update symbols files with buildds' and current logs.
  * New components: q3dlogic and q3dcollision.
    - Install documentation.
    - Install libraries.
  * Create qt3d-gltfsceneparser-plugin for the GL Transmission Format
    scene parser plugin.

  [ Dmitry Shachnev ]
  * Add symbols files for the new library packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 14:10:29 -0300

qt3d-opensource-src (5.5.0-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Initial release. (Closes: #697509)

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Sep 2015 13:32:31 +0300
